Name:           git2cl
Version:        2.0
Release:        1%{?dist}
Summary:        Converts git logs to GNU style ChangeLog format

Group:          Development/Tools
License:        GPLv2+
URL:            http://josefsson.org/git2cl/
# Source is generated from a git tag this
# shows an example of a 2.0 tag.
# git clone http://repo.or.cz/r/git2cl.git 
# cd git2cl
# git archive git2cl-2.0 | gzip -c > git2cl-2.0.tar.gz
Source0:        git2cl-2.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       git

%description
A quick tool to convert git logs to GNU ChangeLog format.

The tool invokes git log internally unless you pipe a log to it. 

%prep
%setup -q -c

%build
# Nothing to build.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 git2cl $RPM_BUILD_ROOT%{_bindir}/git2cl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/git2cl
%doc README COPYING

%changelog
* Thu Aug 26 2010 Steve Traylen <steve.traylen@cern.ch> - 2.0-1
- Initial build.

